import * as i0 from "@angular/core";
export interface IBPS {
    bp: string;
    value: string;
    bef: string;
}
export interface IConsoleParser {
    type?: 'log' | 'info' | 'trace' | 'error';
    thing: any;
    style?: string;
    line?: string | null;
    stoper?: boolean;
}
export interface IPseudo {
    mask: string;
    real: string;
}
export declare class NgxBootstrapExpandedFeaturesService {
    colors: any;
    cssNamesParsed: any;
    alreadyCreatedClasses: string[];
    sheet: any;
    isDebug: boolean;
    bps: IBPS[];
    separator: string;
    styleConsole: string;
    lastCSSCreate: number;
    timer: any;
    timesCSSCreated: number;
    timesCSSNeedsToCreate: number;
    timeBetweenReCreate: number;
    pseudoClasses: string[];
    pseudoElements: string[];
    pseudos: IPseudo[];
    constructor();
    cssCreate(updateBefs?: string[] | null, primordial?: boolean): void;
    doCssCreate(updateBefs?: string[] | null): void;
    createCSSRules(rule: string, update?: boolean): void;
    HexToRGB(Hex: string): number[];
    shadeTintColor(rgb: number[], percent: number): string;
    removePseudos(thing: string, remove?: boolean): string;
    cssValidToCamel(st: string): string;
    camelToCSSValid(st: string): string;
    pushBPS(bps: IBPS[]): void;
    pushColors(newColors: any): void;
    getColors(): any;
    getColorsNames(): string[];
    getColorValue(color: string): any;
    updateColor(color: string, value: string): void;
    deleteColor(color: string): void;
    clearAllColors(): void;
    getAlreadyCreatedClasses(): string[];
    updateClasses(classesToUpdate: string[]): void;
    getSheet(): any;
    changeDebugOption(): void;
    setTimeBetweenReCreate(time: number): void;
    unbefysize(value: string): string;
    befysize(value: string): string;
    getStackTrace(): string;
    consoleLog(type: "error" | "log" | "info" | "trace" | undefined, thing: any, style?: string, line?: string | null, stoper?: boolean): void;
    consoleParser(config: IConsoleParser): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxBootstrapExpandedFeaturesService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxBootstrapExpandedFeaturesService>;
}
